---
updatedAt: 2026-09-11T21:42:44.000Z
agentTools:
  projectIndex: https://vendy.readme.io/llms.txt
---

# Validate Bank Account

Endpoint to validate bank account details for payouts.

**Request:**

| Field    | Type           | Description                                                                                  |
| :------- | :------------- | :------------------------------------------------------------------------------------------- |
| nuban    | String(Digits) | Unique bank account number                                                                   |
| code     | String(Digits) | Unique bank code the [list of supported banks](https://vendy.readme.io/reference/bank-codes) |
| currency | String         | Three letters ISO currency code e.g ngn                                                      |

### Example request

```curl
curl --location 'https://api.myvendy.com/bank/validate?nuban=0011678314&code=000013&currency=ngn' \
--header 'AccessKey: YOUR_ACCESS_KEY' \
--header 'SecretKey: YOUR_SECRET_KEY'
```

**Response:**

| Field  | Type    | Description                                        |
| :----- | :------ | :------------------------------------------------- |
| status | Boolean | States if request was successfully executed or not |
| code   | Integer | Internal code, success if 200                      |
| msg    | String  | A description of the status of the request         |
| data   | JSON    | Account details of validated bank account          |

### Example response

```json
{
    "status": true,
    "code": 200,
    "msg": "Bank Validated",
    "data": {
        "accountNumber": "0011678314",
        "accountName": "SALAMI MURITALA OLAYIWOLA",
        "bankCode": "000013",
        "bankName": "GUARANTY TRUST BANK"
    }
}
```

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "vendy-live",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api.myvendy.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "AccessKey": {
        "type": "apiKey",
        "in": "header",
        "name": "AccessKey",
        "description": "Merchant access key. Aliases accepted by the API: x-access-key, accesskey, access_key."
      },
      "SecretKey": {
        "type": "apiKey",
        "in": "header",
        "name": "SecretKey",
        "description": "Merchant secret key. Aliases accepted by the API: x-secret-key, secretkey, secret_key."
      }
    }
  },
  "security": [
    {
      "AccessKey": [],
      "SecretKey": []
    }
  ],
  "paths": {
    "/bank/validate": {
      "get": {
        "summary": "Validate Bank Account",
        "description": "",
        "operationId": "validate-bank",
        "parameters": [
          {
            "name": "nuban",
            "in": "query",
            "description": "Unique bank account number",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "bankCode",
            "in": "query",
            "description": "Unique bank code as received from the list of supported banks endpoint",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "currency",
            "in": "query",
            "description": "Three letter ISO currency code",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"status\": true,\n    \"code\": 200,\n    \"msg\": \"Bank Validated\",\n    \"data\": {\n        \"accountNumber\": \"0011678314\",\n        \"accountName\": \"SALAMI MURITALA OLAYIWOLA\",\n        \"bankCode\": \"000013\",\n        \"bankName\": \"GUARANTY TRUST BANK\"\n    }\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "boolean",
                      "example": true,
                      "default": true
                    },
                    "code": {
                      "type": "integer",
                      "example": 200,
                      "default": 0
                    },
                    "msg": {
                      "type": "string",
                      "example": "Bank Validated"
                    },
                    "data": {
                      "type": "object",
                      "properties": {
                        "accountNumber": {
                          "type": "string",
                          "example": "0011678314"
                        },
                        "accountName": {
                          "type": "string",
                          "example": "SALAMI MURITALA OLAYIWOLA"
                        },
                        "bankCode": {
                          "type": "string",
                          "example": "000013"
                        },
                        "bankName": {
                          "type": "string",
                          "example": "GUARANTY TRUST BANK"
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"status\": false,\n  \"code\": 327,\n  \"msg\": \"Bank Account not resolved\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "boolean",
                      "example": false,
                      "default": true
                    },
                    "code": {
                      "type": "integer",
                      "example": 327,
                      "default": 0
                    },
                    "msg": {
                      "type": "string",
                      "example": "Bank Account not resolved"
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false,
        "security": [
          {
            "AccessKey": [],
            "SecretKey": []
          }
        ]
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": false
  },
  "x-readme-fauxas": true
}
```